.header {
    z-index: 750;
    position: relative;
    background-color: transparent;
    padding: rem(21) 0;

    &__wrap {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        color: $black;
        display: block;
        font-weight: 700;
        font-size: rem(26);
        line-height: rem(30);
        position: relative;
        white-space: nowrap;
        text-decoration: none;
        text-transform: uppercase;
        max-width: rem(75);

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    &__hamburger {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        flex-shrink: 0;
        margin-left: rem(15);
    }

    &__lng {
        display: none;
    }

    &__button {
        display: none;
    }

    &--fixed {
        top: 0;
        left: 0;
        right: 0;
        position: absolute;
    }

    @include media-breakpoint-up(sm) {
        padding: rem(40) 0;
    }

    @include media-breakpoint-up(md) {}

    @include media-breakpoint-up(lg) {

        &__hamburger {
            display: none;
        }

        &__lng {
            display: block;
        }

        &__logo {
   //         top: -3px;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(70);

        &__button {
            display: block;
        }
    }

    @include media-breakpoint-up(xxl) {}
    @include media-breakpoint-up(xxxl) {}
}

.hamburger {
    width: 26px;
    height: 18px;
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;

    span,
    &:after,
    &:before {
        right: 0;
        width: 100%;
        height: 2px;
        content: '';
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        border-radius: 3px;
        background-color: $black;
    }

    span {
        top: 50%;
    }

    &:after {
        top: 0;
    }

    &:before {
        top: 100%;
    }
}

.lng {
    font-size: rem(15);
    line-height: rem(20);
    display: flex;
    align-items: center;

    &__item {
        color: $black;
        padding: rem(6) 0;
        display: inline-block;
        text-decoration: none;
        font-family: $font-family-secondary;
        border-bottom: 2px solid transparent;

        &:hover {
            border-bottom-color: $black;
        }

        &.active {
            font-weight: 700;
            border-bottom-color: $black;
        }

        &:not(:last-child) {
            margin-right: rem(22);
        }
    }
}

.nav {
    left: 0;
    right: 0;
    bottom: 0;
    top: rem(60);
    z-index:  1200;
    padding-bottom: rem(40);
    position: fixed;
    background: $white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: rem(24);
    line-height: rem(32);
    opacity: 0;
    visibility: hidden;
    font-family: $font-family-primary;

    &__main {
        width: 100%;
        margin: 0 auto;
        padding: rem(10) rem(20);
        list-style: none;

        li {
            padding: rem(8) 0;

            a {
                color: $black;
                display: inline-block;
                text-decoration: none;
                text-transform: uppercase;

                &:hover {
                    color: $black;
                    text-decoration: none;
                }
            }

            &.active {

                a {
                    font-weight: 700;
                    border-bottom-color: $black;
                }
            }
        }
    }

    &__item {
        padding: rem(8) 0;

        &.active {

            .nav__link {
                font-weight: 700;
                border-bottom-color: $black;
            }
        }
    }

    &__link {
        color: $black;
        display: inline-block;
        text-decoration: none;
        text-transform: uppercase;

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    &__lng {
        margin: rem(10) 0 0 0;
        padding: 0 rem(20);
        list-style: none;
        display: flex;
        align-items: center;

        li {
            margin-right: rem(20);

            a,
            span {
                color: $black;
                display: inline-block;
                text-decoration: none;
                border-bottom: 2px solid transparent;
            }

            span {
                border-bottom-color: $black;
            }
        }
    }

    @include media-breakpoint-up(sm) {
        top: rem(100);
        font-size: rem(28);
        line-height: rem(36);
     //   font-size: rem(55);
     //   line-height: rem(73);
        padding-bottom: rem(70);

        &__main {
            width: rem(588);

            li {
                padding: rem(10) 0;
            }
        }

        &__item {
            padding: rem(10) 0;
        }
    }

    @include media-breakpoint-up(md) {
           font-size: rem(48);
           line-height: rem(64);

        &__main {
            width: rem(744);
        }

        &__lng {
            margin-top: rem(20);
        }
    }

    @include media-breakpoint-up(lg) {
        top: auto;
        left: auto;
        right: auto;
        bottom: auto;
        padding: 0;
        position: relative;
        display: block;
        opacity: 1;
        visibility: visible;
        font-size: rem(17);
        line-height: rem(20);
        background: transparent;
        font-family: $font-family-secondary;
        transition: none;

        &__main {
            padding: 0;
            width: auto;
            display: flex;
            align-items: center;
            white-space: nowrap;

            li {
                padding: 0 rem(48) 0 0;

                a {
                    padding: rem(6) 0;
                    text-transform: inherit;
                    border-bottom: 2px solid transparent;
                    transition: border-bottom-color .3s;

                    &:hover {
                        border-bottom-color: $black;
                        transition: border-bottom-color .3s;
                    }
                }
            }
        }

        &__item {
            padding: 0 rem(48) 0 0;
        }

        &__link {
            padding: rem(6) 0;
            text-transform: inherit;
            border-bottom: 2px solid transparent;
            transition: border-bottom-color .3s;

            &:hover {
                border-bottom-color: $black;
                transition: border-bottom-color .3s;
            }
        }

        &__lng {
            display: none;
        }
    }
}

.nav-open {
    overflow: hidden;

    .header {
        top: 0;
        left: 0;
        right: 0;
        position: fixed;
        background-color: $white;
        transition: background-color .3s;
    }

    .nav {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    .hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(9px) translateX(0) rotate(45deg);
            width: 100%;
        }

        &:before {
            transform: translateY(-9px) translateX(0) rotate(-45deg);
            width: 100%;
        }
    }

    @media (min-width: 1200px) {

        .header {
            background: transparent;
        }

        .nav {
            transition: none;
        }
    }
}
